# RequestDialogueCancellation()

Method in [LineAdvancer](/api/csharp/yarn.unity/yarn.unity.lineadvancer.md)

## Summary

Requests that the dialogue runner to instruct all line views to dismiss their content, and then stops the dialogue.

```csharp
public void RequestDialogueCancellation()
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.yarnspinner.dev/api/csharp/yarn.unity/yarn.unity.lineadvancer/yarn.unity.lineadvancer.requestdialoguecancellation.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
